Download it now!
Bug 62182 - print/web layout are toggles instead of set commands
Summary: print/web layout are toggles instead of set commands
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.1.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: UNO-Command-New Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2013-03-11 16:58 UTC by Lionel Elie Mamane
Modified: 2018-03-26 13:01 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-03-11 16:58:30 UTC
Open any .odt file or create a new one.

It opens in "Print Layout" by default.

1) Menu View, click on entry "Print Layout".

Expected result: stays in Print Layout.

Actual result: go to Web layout.


2) From web layout,  Menu View, click on entry "Web Layout".

Expected result: stays in Web Layout.

Actual result: go to Print layout.


That is, these two menu entries DO THE SAME, that is toggle between the two layouts.

EITHER

 the two buttons should do the action
 "GO TO print layout (irrespective of current layout)"
 and
 "GO TO web layout (irrespective of current layout)"
 respectively

OR

 there should be only *ONE* button, labelled
 "toggle print/web view"
 or something like that
 and this button has the current "toggle between options" behaviour.
Comment 1 Brenda Granados 2013-03-21 14:19:03 UTC
I can confirm both scenarios you have presented using Writer Version 4.0.1.2. If you are in Print Layout and select Print Layout in view, it switches to Web Layout. If you are in Web Layout and select Web Layout, it switches to Print Layout.  

Version: Version 4.0.2.1 (Build ID: 7e5467ff8f30d821f4fbf69cb2769163eb64c2c)
Platform: Ubuntu Linux 12.04 LTS x64

Thank you for reporting this.

-Brenda
Comment 2 QA Administrators 2015-02-19 15:46:13 UTC Comment hidden (obsolete)
Comment 3 Lionel Elie Mamane 2015-02-19 16:43:54 UTC
Reproduced with master (4.5.0.0.alpha0+) build from last week.
Comment 4 Jean-Baptiste Faure 2015-02-28 22:52:34 UTC
(In reply to Lionel Elie Mamane from comment #3)
> Reproduced with master (4.5.0.0.alpha0+) build from last week.

Same thing with 4.4.2.0.0+ built at home under Ubuntu 14.10 x86-64
Only one menu entry would be better.

Best regards. JBF
Comment 5 tommy27 2016-04-16 07:27:09 UTC Comment hidden (obsolete)
Comment 6 Jean-Baptiste Faure 2016-05-01 10:27:45 UTC
Still reproducible in LO 5.1.4.0.0+ and master, both build at home under Ubuntu
16.04 x86-64.

Best regards. JBF
Comment 7 Yousuf Philips (jay) (retired) 2016-10-17 22:42:30 UTC
This issue was previously also discussed in bug 39511, though was set to NEEDINFO for no useful reason, so then it was automatically closed for lack of input.
Comment 8 eltimbalino 2016-10-19 03:19:50 UTC
Still reproducible in LO 5.1.4.2 Ubuntu 16.04 x86-64.
Comment 9 Xisco Faulí 2017-11-19 19:36:00 UTC
Dear Gülşah Köse,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 10 Gülşah Köse 2018-01-04 11:59:44 UTC
Solved by https://gerrit.libreoffice.org/#/c/47390/
Comment 11 Commit Notification 2018-01-24 23:00:20 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb8c84846bdba32c17b23e7da6742463085bec9d

tdf#62182 .uno:PrintLayout and .uno:BrowseView become set commands.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-03-26 13:01:54 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed9793e466faa3952c312d76e66e38f87e3c9052

tdf#62182 - print/web layout are toggles instead of set commands

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.